Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1109540 - foreman-integration: use provided root\admin password for hypervisor installation
Summary: foreman-integration: use provided root\admin password for hypervisor installa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: sefi litmanovich
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-15 06:37 UTC by Yaniv Bronhaim
Modified: 2016-02-10 19:06 UTC (History)
9 users (show)

Fixed In Version: vt1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:16:18 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29185 master MERGED core: Using signed password for ovirt-node provisioning Never

Description Yaniv Bronhaim 2014-06-15 06:37:57 UTC
Currently engine uses hard coded password for hypervisors provisioning due to missing utility that allows to generate md5-based password

Modify the code so it will generate the root password set in add host form and use it while provision the desired host.

Comment 1 Yaniv Bronhaim 2014-06-15 07:22:44 UTC
this is it http://gerrit.ovirt.org/28659 , will post a patch that uses it

Comment 2 sefi litmanovich 2014-10-22 12:20:51 UTC
Verified with rhevm-3.5.0-0.15.beta.el6ev.noarch.

installed a discovered host and provided a pass e.g. 123456.
the hg attached to the host has a different root password set for it e.g. abcd.
install in rhevm invokes the provision in satellite and the root password for the host is set to 123456 as defined on the rhevm add host menu.

Comment 3 sefi litmanovich 2014-10-22 13:06:26 UTC
Sorry, had a mistake when verified and currently can't seem to verify.

Comment 4 sefi litmanovich 2014-10-22 13:29:32 UTC
Ok, verified now for real, sorry for spamming.

Comment 5 Eyal Edri 2015-02-17 17:16:18 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.